Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class EventHandlerContext

    public interface class EventHandlerContext

Processing context used by EventHandler implementations.

Method Summary
`java.lang.Long` | `getAuditHistoryId()` Returns the custom Audit History ID where Events are posted.
`NamedValue` | `getAuditHistoryProperty(java.lang.String key)` Gets a property of the custom Audit History by its property name.
`long` | `getNextItemId()` Returns the next sequence ID value that would have been leveraged for a new Item/Object created in the repository.
`FdkSession` | `getSession()` Returns the session context to use for processing.
`boolean` | `isDeactivated()` Determines whether a deactivation has occurred for this handler, indicated that it should complete processing the current operation as soon as possible.
`void` | `purgeEvent(Event event)` Purges an Event from its audit history.
`void` | `purgeEvents(Event[] events)` Purges a set of Events from their audit histories.
`void` | `removeAuditHistoryProperty(java.lang.String key)` Removes a property of the custom Audit History by its property name.
`void` | `restartEventHandler()` Causes a reset of the handler settings.
`void` | `setAuditHistoryProperty(java.lang.String key, NamedValue value)` Sets a property of the custom Audit history.
`void` | `setDomain(long domainId)` Sets the Domain that should be used while processing an Event.

Method Detail

### getSession

    FdkSession getSession()

  Description copied from interface: `EventHandlerContext`
  Returns the session context to use for processing.

  Returns:
    the FdkSession for processing

### getNextItemId

    long getNextItemId()
                       throws FdkException

  Description copied from interface: `EventHandlerContext`
  Returns the next sequence ID value that would have been leveraged for a new Item/Object created in the repository. This ID can be used as a high water mark when processing batches of Items.

  Returns:
    the ID of the next Item that will be created
  Throws:
    `FdkException` - if the operation fails

### getAuditHistoryId

    java.lang.Long getAuditHistoryId()

  Description copied from interface: `EventHandlerContext`
  Returns the custom Audit History ID where Events are posted. Use this ID when using AuditManager.searchAuditHistory() to find Events that occurred.

  Returns:
    the ID of the Audit History

### getAuditHistoryProperty

    NamedValue getAuditHistoryProperty(java.lang.String key)
                                       throws FdkException

  Description copied from interface: `EventHandlerContext`
  Gets a property of the custom Audit History by its property name.

  Parameters:
    `key` - the Audit History property key
  Returns:
    the property value, or null if not defined
  Throws:
    `FdkException` - if the operation fails

### setAuditHistoryProperty

    void setAuditHistoryProperty(java.lang.String key,
                                 NamedValue value)
                                 throws FdkException

  Description copied from interface: `EventHandlerContext`
  Sets a property of the custom Audit history.

  Parameters:
    `key` - the Audit History property key
    `value` - the Audit History property value
  Throws:
    `FdkException` - if the operation fails

### removeAuditHistoryProperty

    void removeAuditHistoryProperty(java.lang.String key)
                                    throws FdkException

  Description copied from interface: `EventHandlerContext`
  Removes a property of the custom Audit History by its property name.

  Parameters:
    `key` - the Audit History property key
  Throws:
    `FdkException` - if the operation fails

### setDomain

    void setDomain(long domainId)
                   throws FdkException

  Description copied from interface: `EventHandlerContext`
  Sets the Domain that should be used while processing an Event. By default, this is the default Domain.

  In a multi-Domain instance, this must be set to the ID of the Domain for the Event that is being processed, because an EventHandler will be invoked for Events that have occurred in any Domain in the instance.

  A value of zero for the Domain ID will effectively clear the previously established Domain context.

  Note that a Domain is sometimes referred to as a "Site".

  Parameters:
    `domainId` - the ID of the Domain to use while processing an Event or zero to clear the previously established Domain context
  Throws:
    `FdkException` - if the operation fails

### restartEventHandler

    void restartEventHandler()
                             throws FdkException

  Description copied from interface: `EventHandlerContext`
  Causes a reset of the handler settings.

  Throws:
    `FdkException` - if the operation fails

### purgeEvent

    void purgeEvent(Event event)
                    throws FdkException

  Description copied from interface: `EventHandlerContext`
  Purges an Event from its audit history.

  Parameters:
    `event` - the Event to purge
  Throws:
    `FdkException` - if the operation fails

### purgeEvents

    void purgeEvents(Event[] events)
                     throws FdkException

  Description copied from interface: `EventHandlerContext`
  Purges a set of Events from their audit histories.

  Parameters:
    `events` - the Events to purge
  Throws:
    `FdkException` - if the operation fails

### isDeactivated

    boolean isDeactivated()

  Description copied from interface: `EventHandlerContext`
  Determines whether a deactivation has occurred for this handler, indicated that it should complete processing the current operation as soon as possible.

  Returns:
    true if the handler has been deactivated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD